Package be.ehealth.technicalconnector.bcp.domain

# Class CacheInformation

java.lang.Object
be.ehealth.technicalconnector.bcp.domain.CacheInformation

public class CacheInformation extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CacheInformation.CacheType`
  `static enum`
  `CacheInformation.ExpiryType`
  `static enum`
  `CacheInformation.KeyTransformType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheInformation(String serviceName, CacheInformation.CacheType cacheType, CacheInformation.KeyTransformType keyTransformType, String keyTransfromLocation, CacheInformation.ExpiryType expiryType, Duration expiryDuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cache<String,String>`
  `getCache()`
  `CacheInformation.KeyTransformType`
  `getKeyTransformType()`
  `String`
  `getKeyTransfromLocation()`
  `boolean`
  `isActivated()`
  `boolean`
  `isKeyTransformType(CacheInformation.KeyTransformType keyTransformType)`
  `boolean`
  `isXsltKeyTransform()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CacheInformation

    public CacheInformation(String serviceName, CacheInformation.CacheType cacheType, CacheInformation.KeyTransformType keyTransformType, String keyTransfromLocation, CacheInformation.ExpiryType expiryType, Duration expiryDuration)

- ## Method Details

  - ### isActivated

    public boolean isActivated()

  - ### getCache

    public Cache<String,String> getCache()

  - ### isXsltKeyTransform

    public boolean isXsltKeyTransform()

  - ### getKeyTransformType

    public CacheInformation.KeyTransformType getKeyTransformType()

  - ### isKeyTransformType

    public boolean isKeyTransformType(CacheInformation.KeyTransformType keyTransformType)

  - ### getKeyTransfromLocation

    public String getKeyTransfromLocation()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`